#!/bin/bash
# Copyright {YYYY} Brian Newman. All rights reserved.

DBNAME=template.db

# create needed directories
mkdir local.pkg/src/config/         &> /dev/null

# generate code
./local.bin/io.cdmnky.dev.cdgen -golang -i database/config.json            | gofmt > local.pkg/src/config/config.go

# create database tables
./local.bin/io.cdmnky.dev.cdgen -sql -i database/config.json | sqlite3 $DBNAME

# create additional views
cat database/views.sql | sqlite3 $DBNAME

